Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.dd
Class DragSourceConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.dd.DragDropConfig
                  com.gwtext.client.dd.DragDropProxyConfig
                      com.gwtext.client.dd.DragSourceConfig

    public class DragSourceConfig

extends DragDropProxyConfig

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`DragSourceConfig()`

Method Summary
`void` | `setdDdGroup(java.lang.String ddGroup)` A named drag drop group to which this object belongs.
`void` | `setDropAllowed(java.lang.String dropAllowed)` The CSS class returned to the drag source when drop is allowed (defaults to "x-dd-drop-ok").
`void` | `setDropNotAllowed(java.lang.String dropNotAllowed)` The CSS class returned to the drag source when drop is not allowed (defaults to "x-dd-drop-nodrop").

Methods inherited from class com.gwtext.client.dd.DragDropProxyConfig
`setCenterFrame, setDragElId, setResizeFrame`

Methods inherited from class com.gwtext.client.dd.DragDropConfig
`setMaintainOffset, setPrimaryButtonOnly, setTarget`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragSourceConfig

    public DragSourceConfig()

Method Detail

### setdDdGroup

    public void setdDdGroup(java.lang.String ddGroup)

  A named drag drop group to which this object belongs. If a group is specified, then this object will only interact with other drag drop objects in the same group (defaults to undefined).

  Parameters:
    `ddGroup` - the group name

### setDropAllowed

    public void setDropAllowed(java.lang.String dropAllowed)

  The CSS class returned to the drag source when drop is allowed (defaults to "x-dd-drop-ok").

  Parameters:
    `dropAllowed` - drop allowed CSS

### setDropNotAllowed

    public void setDropNotAllowed(java.lang.String dropNotAllowed)

  The CSS class returned to the drag source when drop is not allowed (defaults to "x-dd-drop-nodrop").

  Parameters:
    `dropNotAllowed` - drop not allowed CSS

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD